Package wx :: Package lib :: Module wordwrap

[frames | no frames]

## Module wx.lib.wordwrap

Function Summary
| ``wordwrap`(text, width, dc, breakLongWords, margin)` Returns a copy of text with newline characters inserted where long lines should be broken such that they will fit within the given width, with the given margin left and right, on the given `wx.DC` using its current font settings.

Function Details

### wordwrap(text, width, dc, breakLongWords=True, margin=0)

Returns a copy of text with newline characters inserted where long lines should be broken such that they will fit within the given width, with the given margin left and right, on the given `wx.DC` using its current font settings. By default words that are wider than the margin-adjusted width will be broken at the nearest character boundary, but this can be disabled by passing `False` for the `breakLongWords` parameter.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:43 2009 | http://epydoc.sf.net